package model

import (
	"time"
)

type CommunityTeamStore struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int       `json:"uid" xorm:"default 0 INT(11)"`
	StoreType  int       `json:"store_type" xorm:"default 0 comment('0官方自营店 1加盟店 2连锁店') INT(11)"`
	ParentUid  int       `json:"parent_uid" xorm:"default 0 comment('上级代理') INT(11)"`
	Lat        string    `json:"lat" xorm:"default 0.000000 comment('纬度') DECIMAL(30,6)"`
	Lng        string    `json:"lng" xorm:"default 0.000000 comment('经度') DECIMAL(30,6)"`
	Address    string    `json:"address" xorm:"comment('详细地址') VARCHAR(255)"`
	Commission string    `json:"commission" xorm:"default 0.00 comment('分佣比例%') DECIMAL(20,2)"`
	CreateAt   time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt   time.Time `json:"update_at" xorm:"DATETIME"`
	State      int       `json:"state" xorm:"default 0 comment('0非店长 1店长') INT(1)"`
	WorkState  int       `json:"work_state" xorm:"default 0 comment('0营业中 1休息中') INT(1)"`
	Name       string    `json:"name" xorm:"VARCHAR(255)"`
	Province   string    `json:"province" xorm:"comment('省级的名称') VARCHAR(255)"`
	City       string    `json:"city" xorm:"comment('市级的名称') VARCHAR(255)"`
	District   string    `json:"district" xorm:"comment('县，区名称') VARCHAR(255)"`
}
